s10_level_hints.levels["Level 9"] = function()
	return
	{
		miniscenes
		({
			level09_scene01 = 
			{
				on_scene("level09_scene02", click("gui_amulet_present"))
			},
			
			level09_scene02 = 
			{
				on_scene("level09_scene01", click("gui_amulet_past"))
			},
			
			level09_miniscene_lock = 
			{
				on_scene("level09_scene02",
					IF(state("clip_light_present", "clip_light_present02"), miniscene("area_little_door")))
			}
		}),
		
		on_scene("level09_scene02", 
		{
			-- добыть тряпку
			take("scissors"),
			click("area_flags01", "scissors"),
			
			-- найти ключи и палку
			take("axe"),
			take("pick")
		}),
		
		on_scene("level09_scene01", 
		{
			-- найти палку
			click("area_waggon", "axe"),
			
			-- найти ключи
			click("area_doors", "pick"),
			take("keys"),
			
			-- зажечь факел
			take("jug"),
			click("area_fire", "torch_with_rag")
		}),
		
		on_scene("level09_scene02", 
		{
			--осветить дверь
			click("area_for_torch", "burning_torch"), click("area_little_door", "burning_torch"),
			
			-- смазать замок
			take("oil")
		}),
		
		on_scene("level09_miniscene_lock", 
		{
			click("area_lock", "oil"),
			
			-- подобрать ключ
			IF(state("lock", "lock02"), click("area_lock", "keys"))
		}),
		
		on_scene("level09_scene02", 
		{
			IF( {state("lock", "lock02"), state("clip_light_present", "clip_light_present02")}, click("area_little_door", "keys")),
			
			-- пройти уровень
			IF(state("clip_light_present", "clip_light_present03"), end_level("area_little_door"))
		}
		)
	}	
end
